package com.luxoft.gui_jface.gui.models;

/**
 * This enum lists possible events of ReportEditor 
 * 
 * @author Georgiy Kucherenko
 *
 */
public enum ReportEditorActionType {
	VIEWER_SELECTION_CHANGED, 
	EDITOR_DATA_CHANGED, 
	DISABLE_CANCEL_BUTTON, 
	ENABLE_CANCEL_BUTTON, 
	REPORT_TO_BE_SET, 
	REMOVE_MODIFY_LISTENER, 
	ADD_MODIFY_LISTENER, 
	DISABLE_SAVE_BUTTON,
	ENABLE_SAVE_BUTTON,
	SET_CURRENT_TO_VIEWER, 
	SHOW_WIDGETS_FALSE,
	SHOW_WIDGETS_TRUE, 
	DISABLE_DELETE_BUTTON, 
	ENABLE_DELETE_BUTTON,
	VIEWER_EMPTY,
	VIEWER_NOT_EMPTY, 
	CHECK_IF_NEED_TO_SAVE_REPORT, 
	RESET_STATE, 
	ENABLE_NEW_BUTTON, 
	DISABLE_NEW_BUTTON
}
